<?php
/**
 * @copyright ONE/DEPO Project
 * @license   PHP License 3.01 <http://www.php.net/license/3_01.txt>
 */


/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */

/**
 * [[機能説明]]
 *
 * @package     [[package名]]
 * @author      Your Name <mail@example.com>
 * @access      public
 */
class Customer_Mypage_Leave_Check
{
    var $auth;             //Authオブジェクトを取得
    var $mailaddress;      //userのメールアドレス
    var $c_member;         //member DataBase
    var $title;

    /**
     * [[機能説明]]
     *
     * @access  public
     */
    function execute()
    {
        $log =& LogFactory::getLog();
        $log->debug("Customer_Mypage_Leave_Checkが実行されました", "Customer_Mypage_Leave_Check#execute");
        if($this -> auth -> getAuthData("membercd") == NULL)
        {
            return 'input';
        } else {
            $memberInfo = $this -> c_member -> select_one($this -> auth -> getAuthData("membercd"));
            $this -> mailaddress = $memberInfo['mailaddr'];
            return 'success';
        }
    }
    
    function getMailaddress()
    {
        return $this -> mailaddress;
    }
}
?>